@use '@angular/material' as mat;

// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

$custom-palette: (
  50: #f6b3e5,
  100: #f6b3e5,
  200: #f6b3e5,
  300: #f6b3e5,
  400: #c876ff,
  500: #20115b,
  600: #20115b,
  700: #20115b,
  800: #20115b,
  900: #010108,
  A100: #f6b3e5,
  A200: #7232f2,
  A400: #20115b,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #FFFFFF,
    600: #FFFFFF,
    700: #FFFFFF,
    800: #FFFFFF,
    900: #FFFFFF,
    A100: #000000,
    A200: #000000,
    A400: #FFFFFF,
  )
);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$slud-FrontEnd-primary: mat.define-palette($custom-palette);
$slud-FrontEnd-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$slud-FrontEnd-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$slud-FrontEnd-theme: mat.define-light-theme((
  color: (
    primary: $slud-FrontEnd-primary,
    accent: $slud-FrontEnd-accent,
    warn: $slud-FrontEnd-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($slud-FrontEnd-theme);
